> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Get wallet balance



## OpenAPI

````yaml /openapi.json get /api/v1/wallet/{id}/balance
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/wallet/{id}/balance:
    get:
      tags:
        - Wallet Route
      summary: Get wallet balance
      parameters:
        - name: id
          in: path
          required: true
          schema:
            format: int64
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletBalanceDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    WalletBalanceDto:
      type: object
      properties:
        blockchain:
          description: Network uid that associated with extractor contract
          type: string
          allOf:
            - $ref: '#/components/schemas/ChainUid'
        balance:
          description: Wallet balance
          type: integer
    ChainUid:
      enum:
        - arbitrum
        - bsc
        - bsc_testnet
        - ethereum
        - linea
        - optimism
        - base
        - base_sepolia
        - gnosis
        - fantom
        - polygon
        - polygon_amoy
        - blast
        - zksync
        - scroll
        - avalanche
        - avalanche_fuji
        - telos
        - sepolia
        - holesky
        - ethereum_sepolia
        - ethereum_holesky
        - tron
        - zeta
        - somnia
        - adi
        - anvil
        - icp
        - vechain
        - stellar
        - bitcoin
        - solana
      type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````